<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:21:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-11-08T15:33:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-11-08T15:33:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-11-08T15:32:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>closed for 40 and 4.2 ,  fails in 4.1 but will not be fixed in that version per Dan </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-11-08T00:24:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-11-07T20:27:59Z</TimeStamp>
    <ReleaseNote>Addresses an issue with "Import settings"</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-11-07T17:10:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.1 is dead ended, fix should only be in 4.0 and 4.2, sorry about that.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-10-31T14:32:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Still recieving an error when importing  system settings attached  into a blank db with Dp 4.1.480 


Also tested this in 4.04.0.1081.49825 and works without an issue ...


Log is attached.



Tested as follows.
Installed fresh version of datapro with blank db and choose not tocopy previous system settings.

Attempted to import system settings file ZF_DP_System_Settings.xml
(attached)


2023-10-30 14:24:31.399 User Admin pressed PageButton:MainWindow_ConfirmInvalidVersion_OK
 
2023-10-30 14:24:31.400 User Admin pressed MainWindow_ConfirmInvalidVersion_OK
 
2023-10-30 14:30:45.234 User Admin navigated to: Test settings
 
2023-10-30 14:30:45.314 User Admin navigated to: Test settings
 
2023-10-30 14:30:46.898 User Admin pressed PageButton:Admin_SystemSettings_ImportSettings
 
2023-10-30 14:30:46.899 User Admin pressed Admin_SystemSettings_ImportSettings
 
2023-10-30 14:30:46.999 User Admin navigated forward to page: Prepare_Settings_Import
 
2023-10-30 14:32:14.243 ModalWindow: Object reference not set to an instance of an object.
 
2023-10-30 14:32:15.475 User Admin pressed PageButton:DataProPage_ModalWindow_OK
 

</Comment>
    <StatusString>Reactivated</StatusString>
    <TimeStamp>2023-10-30T21:35:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Reactivated</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-30T15:14:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-27T16:43:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.1@49810</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-10-27T16:40:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-27T16:31:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-27T16:27:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>observed this while working on case 34410
 
the user's system settings contain settings for users that aren't in a blank database and will cause it to fail with this error:
 
 
 
note that you have to press save to actually do the import.</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-10-27T16:27:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>